Package com.independentsoft.graph.teams

# Class CallRecordMediaStream

java.lang.Object
com.independentsoft.graph.teams.CallRecordMediaStream

public class CallRecordMediaStream extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallRecordMediaStream()`
  `CallRecordMediaStream​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAudioCodec()`
  `float`
  `getAverageAudioDegradation()`
  `String`
  `getAverageAudioNetworkJitter()`
  `long`
  `getAverageBandwidthEstimate()`
  `String`
  `getAverageFreezeDuration()`
  `String`
  `getAverageJitter()`
  `float`
  `getAveragePacketLossRate()`
  `String`
  `getAverageRoundTripTime()`
  `float`
  `getAverageVideoFrameRate()`
  `Date`
  `getEndDateTime()`
  `float`
  `getLowFrameRateRatio()`
  `String`
  `getMaxAudioNetworkJitter()`
  `String`
  `getMaxJitter()`
  `float`
  `getMaxPacketLossRate()`
  `String`
  `getMaxRoundTripTime()`
  `long`
  `getPacketUtilization()`
  `Date`
  `getStartDateTime()`
  `String`
  `getStreamDirection()`
  `String`
  `getStreamId()`
  `String`
  `getVideoCodec()`
  `float`
  `getVideoFrameLossPercentage()`
  `boolean`
  `isWasMediaBypassed()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CallRecordMediaStream

    public CallRecordMediaStream()

  - ### CallRecordMediaStream

    public CallRecordMediaStream​(JsonObject jsonObject)

- ## Method Details

  - ### getStreamId

    public String getStreamId()

  - ### getStartDateTime

    public Date getStartDateTime()

  - ### getEndDateTime

    public Date getEndDateTime()

  - ### getStreamDirection

    public String getStreamDirection()

  - ### getAudioCodec

    public String getAudioCodec()

  - ### getVideoCodec

    public String getVideoCodec()

  - ### isWasMediaBypassed

    public boolean isWasMediaBypassed()

  - ### getAverageAudioDegradation

    public float getAverageAudioDegradation()

  - ### getAverageAudioNetworkJitter

    public String getAverageAudioNetworkJitter()

  - ### getMaxAudioNetworkJitter

    public String getMaxAudioNetworkJitter()

  - ### getAverageJitter

    public String getAverageJitter()

  - ### getMaxJitter

    public String getMaxJitter()

  - ### getAveragePacketLossRate

    public float getAveragePacketLossRate()

  - ### getMaxPacketLossRate

    public float getMaxPacketLossRate()

  - ### getAverageRoundTripTime

    public String getAverageRoundTripTime()

  - ### getMaxRoundTripTime

    public String getMaxRoundTripTime()

  - ### getAverageBandwidthEstimate

    public long getAverageBandwidthEstimate()

  - ### getLowFrameRateRatio

    public float getLowFrameRateRatio()

  - ### getAverageVideoFrameRate

    public float getAverageVideoFrameRate()

  - ### getVideoFrameLossPercentage

    public float getVideoFrameLossPercentage()

  - ### getPacketUtilization

    public long getPacketUtilization()

  - ### getAverageFreezeDuration

    public String getAverageFreezeDuration()